Bug 625632 - (CVE-2010-3054) CVE-2010-3054 freetype: DoS via nested "seac" calls
CVE-2010-3054 freetype: DoS via nested "seac" calls
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100813,reported=20100819,sou...
: Security
Depends On: 638139 638140 638141 638142 638143 806284
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 21:05 EDT by Vincent Danen
Modified: 2015-06-05 02:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-05 02:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-19 21:05:56 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3054 to
the following vulnerability:

Name: CVE-2010-3054
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3054
Assigned: 20100819
Reference:
CONFIRM: https://bugs.launchpad.net/ubuntu/maverick/+source/freetype/+bug/617019

Unspecified vulnerability in FreeType 2.3.9, and other versions before
2.4.2, allows remote attackers to cause a denial of service via
vectors involving nested Standard Encoding Accented Character (aka
seac) calls, related to psaux.h, cffgload.c, cffgload.h, and
t1decode.c.
Comment 7 Jan Lieskovsky 2010-09-28 07:05:52 EDT
This issue affects the versions of the freetype package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue did NOT affect the versions of the freetype package, as
shipped with Fedora release of 12 and 13. Those versions already
contain the upstream fix for this flaw.
Comment 13 errata-xmlrpc 2010-10-04 13:12:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0736 https://rhn.redhat.com/errata/RHSA-2010-0736.html
Comment 14 errata-xmlrpc 2010-10-04 13:54:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0737 https://rhn.redhat.com/errata/RHSA-2010-0737.html

Note You need to log in before you can comment on or make changes to this bug.